<!doctype linuxdoctr system>
<article>
<title>A Brief History of Hackerdom
<author>Eric S. Raymond, esr@snark.thyrsus.com
<date>6 October 1997
<trans>中谷千絵, jeanne@mbox.kyoto-inet.or.jp
<tdate>27 October 1997

<!--
A Brief History of Hackerdom
Eric S. Raymond
esr@snark.thyrsus.com
1997/10/06 版

日本語訳：中谷千絵
          jeanne@mbox.kyoto-inet.or.jp
1997/10/27
-->

<abstract>
ハッカーの国小史
</abstract>


<!--######################## section 1 #################################-->

<sect>プロローグ：真のプログラマたち
<p>
始めに、真のプログラマたちがいた。

  彼らは自らをどんな呼び名でも呼ばなかった。彼らは自らを"ハッカー"だと
もあるいは特に何者であるとも称しなかった。'真のプログラマ'という呼び名
は 1980年以降まではなかった。しかし 1945年以降、コンピュータ技術は、世
界中の聰明なそして最もクリエイティブな人々の心を捉えた。
 Eckert &amp; Mauchly の ENIAC (<ref id="eniac" name="1">) 以降、
多かれ少なかれ熱狂的なプログラ
マ達による自意識の強い技術文化が存続した。彼らは楽しみとしてソフトウェ
アを作成し、実行した人々であった。

  真のプログラマというのは概して工学や物理学の出身だった。彼らは白い靴
下にポリエステルのシャツ、ネクタイに分厚い眼鏡をかけて、機械語やアセン
ブラ語、そして FORTRAN と今や忘れさられた半ダースもの古典語で武装して
いた。彼らがハッカーの国の先駆者であり、ハッカーの国の歴史以前にはほと
んど注目されることのない主役であった。

  第二次世界大戦の終りから 1970 年代の始め頃、それはバッチマシンを使っ
ていた時代であり、そして``巨大で高価で超高速なコンピュータ''のメインフ
レームの時代には、真のプログラマたちがコンピュータ文化を支配していた。
有名な Mel の伝説 (<ref id="mel" name="2">) (Jargon File に収録されている)、
マーフィの法則のさま
ざまなリスト、そしてたくさんのコンピュータ室を今でも飾っているいんちき
ドイツ語の``Blinkenlights' (<ref id="blinken" name="3">) のポスターも含めて、
称賛のまとになったハッカーの伝統の一部はこの時代から始まる。

  '真のプログラマ'文化のなかで育った人たちのなかには、1996 年にこの文
書が書かれた時点で、まだ元気で活躍している者がいる。スーパーコンピュー
タ Cray シリーズ (<ref id="cray" name="4">) の設計者である Seymour Cray には、
かつて自分の設計した
コンピュータをトグルスイッチで手入力したという伝説がある。８進で、ひと
つのエラーもなく動いた。真のプログラマとは最高に男らしいものだ。

「The Devil's DP Dictionary」(McGraw-Hill, 1981, ISBN
0-07-034022-6) の著者で風変わりなものの蒐集家である Stan Kelly-Bootle 
は 1948 年に、プログラムを読み込んでちゃんと使うことが出来る最初のデジ
タルコンピュータ Manchester Mark I でプログラムを行った。最近では彼は
しばしばコンピュータ雑誌に技術ネタの楽しいコラムを書いている。このコラ
ムでは今日のハッカー文化に関する含蓄深い内容が対話形式で語られている。

  その他、David E. Lundstrom のような人は、初期の頃 (「A few Good
Men From UNIVAC」, 1987,ISBN-0-262-62075-8).の逸話に富んだ歴史を
書いている。


<footnote><label id="eniac"><!--1-->
(訳注)Eckert &amp; Mauchly's ENIAC：
ENIAC ペンシルバニア大学で作られた世界最初の真空管式電子計算機。
ENIAC は1946年に完成した。 
</footnote>

<footnote><label id="mel"><!--2-->
(訳注)story of Mel：
Ed Nather が 1983年5月21日に USENET にポストした詩。「真のプログラマ 
Mel の物語」は「ハッカーズ大辞典」(アスキー出版)「ハッカーたちの伝説」
(535頁)を参照してください。
</footnote>

<footnote><label id="blinken"><!--3-->
(訳注)Blinkenlights：
コンピュータ、とくに恐竜のフロントパネルにある診断ランプに書かれていた
注意書き。(ハッカーズ大辞典95頁)いんちきなドイツ語で書かれていたので、
こう言われる。
</footnote>

<footnote><label id="cray"><!--4-->
(訳注) the Cray line：
Seymour Cray はクレイリサーチ社の共同創立者のひとりであり、コンピュー
タ設計者。クレイ社の設計したスーパーコンピュータには、 Seymour Cray の
名前に由来する cray シリーズがある。
</footnote>


<!--###################### section 2 ##################################-->

<sect>黎明期のハッカー
<p>
  '真のプログラマ'文化のなかで行われたことは、コンピュータを扱う大学の
サイトやネットワークの相互交流を起こすことになった。今日我々が知ってい
るようなハッカーの国は、具合よく 1961 年に始まった。その年 MIT が最初
の PDP-1 を入手した。MIT の Tech Model Railroad Club の Power and
Signals Group は気に入りのおもちゃのようなものとしてそのマシンを採用し
た。そして、新らたに発明したプログラミングツールや専門用語、そして完全
な周辺文化は今日でも我々の周りに残っている。このような初期の時代のこと
は Steven Levy の本 Hackers (Anchor/Doubleday 1984, ISBN
0-385-19195-2) の最初の部分で考察されている。

  MIT のコンピュータ文化が最初に 'ハッカー'という言葉を取り入れたよう
だ。TMRC のハッカーたちは MIT の 人工知能研究所 (Artificial
Intelligence Laboratory)の中心となり、1980年代初期には AI 研究において
世界の中心センターになった。さらに彼らの影響は 1969 年、すなわち 
ARPANET のはじまった年からより広範囲に遠い地域にまで広まった。

  ARPANET は初めての大陸横断の、高速コンピュータネットワークだった。そ
れはデジタルコミュニケーションにおける実験として国防総省(the Defense
Department)によって構築されたが、数百の大学と防衛施設そして研究所を互
いに結んで大きくなった。前例のない速度と柔軟性を持ち、共同作業を押し進
め、技術的進歩の歩調と強固さの両方を急速に増加したので、どこからでも情
報の交換が可能になった。

  しかし ARPANET はさらに別のことも行った。ARPANET の電子的な高速道路
はアメリカ中に散らばっていたハッカーたちを互いに出会わせ、臨界状態に達
した。自分たちの短命なローカル文化をそれぞれに発展させながら孤立した小
さなグループのままでいるよりも、彼らは自分自身がネットワーク化された種
族であることに気がついたのである(あるいは再発見した)。

  ハッカーの国ではじめての意図的に作られた作品、すなわち、初めてのスラ
ング集、初めての風刺集、ハッカー倫理についての初めての自覚的な議論など、
すべてのものがその初期の時代に ARPANET 上で伝わった。(より重要な例とし
て、 Jorgon File の初版は 1973 年の日付けだった。 ハッカーの国はネット
に接続した大学、とりわけコンピュータ科学部(そこでばかりでもないが)で成
長した。

  文化的に、MIT の人口知能研究所 AI Lab は 1960 年代の終わり頃から同等
のもののなかでは一番重要だった。しかしスタンフォード Stanford 大学の 
人工知能研究所 Artificial Intelligence Laboratory と(のちに)カーネギー
メロン大学 Carnegie-Mellon University が重要なものになった。これらすべ
てがコンピュータサイエンスと AI 研究の中心として繁栄した すべてのこと
が技術と種族のレベルの両方に関してハッカーの国に偉大な貢献をした優秀な
人たちをひきつけた。

  しかし、のちに起こったことすべてを理解するには、我々はコンピュータそ
のものについても異なる視点から考える必要がある。なぜなら、実験室の興隆
と没落はコンピュータを使う技術の変化に影響を受けているからである。

   PDP-1 の時代以来、ハッカーの国の成功は Digital Equipment
Corporation のミニコンピュータ PDP シリーズとともに歩んできた。DEC は
商用的な対話型コンピュータとタイムシェアリングオペレーティングシステム
を切り開いた。DEC のマシンは自由度が高く、パワーがあり、相対的に安価だっ
たからである。多くの大学ではそれを購入した。

   安価なタイムシェアリングはハッカーの文化がそこで成長する母体となり、
ARPANET の存続期間のほんんどは、 DEC マシンの初期のネットワークだった。
これらのうちで最も重要なものは 1967年に始めてリリースされた PDP-10 で
あった。PDP-10 は 15 年ほどハッカーの国の御用達マシンとして残った。
TOPS-10 (そのマシンに対する DEC のオペレーティングシステム)と MACRO-10
(そのアセンブラ)は多くのスラングや伝説のなかで郷愁のある好まれたマシン
としてまだ記憶にある。

  他の誰もが同じ PDP-10 類を使用していたが、 MIT は少し違った道を取っ
た。彼らは完全に PDP-10 用の DEC のソフトウェアを捨て、自ら伝説のオペ
レーティングシステム ITS を構築した。

  `Incompatible Timesharing System' の略である ITS は、彼らの態度にと
てもよく合ったものだ。彼らはそれを自分の道として望んだ。幸いなことに、
MIT の人々は自分たちの傲慢さに見合う知性を持っていた。気まぐれで、ちょっ
と変わっていて、時々おかしくなっていたものの ITS は輝かしい技術革新の
中心的役割を果たし、恐らく最も長く使われたタイムシェアリングシステムと
しての記録を今だに更新し続けている。

  ITS 自身はアセンブラで書かれていたが、多くの ITS プロジェクトは AI 
言語 LISP で書かれた。LISP はその時代の他の言語に比べてよりたくましく
柔軟性があった。事実、 25 年後の今日のほとんどの言語よりもよりよく構
成されている。LISP は 非凡でクリエイティブな方法でやろうとする ITS の
ハッカーたちを自由にした。 それが彼らの成功において重要な要素となり、
ハッカーの国御用達の言語のひとつとして残った。

  ITS 文化の技術的創造物の多くは、現在もまだ存在する。恐らく EMACS プ
ログラムエディタは一番有名なものだ。さらに多くの ITS の伝統はハッカー
たちのなかにまだ生きているのだ。ひとつは <url 
url="http://www.ccil.org/jargon" name="Jargon File"> で見ることができる。

  SAIL (<ref id="sail" name="5">) と CMU (<ref id="cmu" name="6">) 
も眠ってはいなかった。SAIL の PDP-10 周辺で成長
したハッカー集団の中枢を担う多くの者が、のちに個人使用のコンピュータや
今日の window 、icon や mouse のソフトウェアインターフェースの開発にお
いて重要人物となった。そして CMU でハッカーたちは、専門家用システムや
工業用ロボットの最初の実用的で大規模なアプリケーションを切り開く仕事を
してきた。



  ハッカー文化のもう一つの重要な節点は XEROX PARC、すなわち、有名な 
Palo Alto Research Center だった。1970 年代の始めから1980 年代にかけて
の 10 年以上、PARC はハードウェアの基礎作りと驚くほどの量の新しいソフ
トウェアを生み出した。現代的なマウスや windows そしてソフトウェアイン
ターフェースのアイコンの形がそこで作り出された。PARC はレーザプリンタ
やローカルエリアのネットワークも生み出した。さらに、D マシンの PARC シ
リーズは 1980 年代のパワフルな個人用パソコンを10 年も先取りしていた。
しかし不運にもこのような予言者たちは自分の会社では評価されなかった。そ
の結果、PARC は誰かのためにすばらしいアイディアを開発するところである
という説明が標準的なジョークになってしまった。ハッカーの国での彼らの勢
力は大きくなった。

  ARPANET と PDP-10 の文化は 1970年代中ずっと力強くそして多様さを持っ
て成長した。世界中にいる専門的な関心事を持つグループの間で仲間を育てる
ために使われるようになった電子メーリングリストの手軽な機能が、社会的な
ことや遊びに盛んに使われるようになった。DARPA はしだいに技術的には '専
門的でない'無目的な動きに向かうようになった。少々の無駄は、若い世代の
聡明な青年達をコンピュータの分野に引き付けるためには安い代償であるとみ
なされていた。

  最も有名な'社会的'な ARPANET メーリングリストはたぶん SF ファンのた
めの SF-LOVERS リストだった。実際のところ、それは 今日もまだ存在してお
り、ARPNET はより大きな 'インターネット Internet' 上で活動するようになっ
た。しかし、CompuServe、 GEnie そして Prodigy のようなのちに共同サービ
スを商用化することになったコミュニケーション方法の開拓者となるその他多
くのものがあった。

<footnote><label id="sail"><!--5-->
(訳注)SAIL：
Stanford Artificial Intelligence Lab スタンフォード大学人工知能ラボ
</footnote>

<footnote><label id="cmu"><!--6-->
(訳注)CMU：  Carnegie-Mellon University カーネギーメロン大学
</footnote>


<!--###################### section 3 ##############################-->

<sect>Unix の勃興
<p>
  一方、 ニュージャージー (New Jersey) (<ref id="new-jersey" name="7">) 
の郊外では、1969 年からやがては 
PDP-10 の伝統に取って代わることになる何事かが進んでいた。ARPANET が誕
生した年は、ベル研の Ken Thompson が UNIX を創り出した年でもあった。

  Thompson は ITS と共通の祖先を持つ Multics と呼ばれた タイムシェアリ
ング(時分割処理) OS の開発事業に参加していた。Multics はオペレーティン
グシステムの複雑な部分を内部に隠し、ユーザや大多数のプログラマに対して
見えなくするための基礎実験のためのものであった。このアイディアの結果、
Multics を外から操作する(プログラムの作成も)のがもっと簡単になり、プロ
グラミング以外のより重要な仕事をもっとたくさんこなせるようになった。

  ベル研は、Multics (<ref id="multics" name="8">) が役に立たたない
もてあましものの兆候をあらわし始め
た時、そのプロジェクトから撤退した(そのシステムはのちに Honeywell によっ
て商用的に売られたが成功はしなかった)。Ken Thompson は Multics の環境
に未練を感じていたので、そのアイディアと彼自身のアイディアを合わせたも
のを、リサイクル部品で作った DEC PDP-7 で実現する企てをはじめた。

  Dennis Ritchie というもう一人のハッカーは C と呼ばれる新しい言語を創
り,これを生まれたばかりの Thompson の UNIX で使えるようにした。UNIX の
ように、C は楽しむもので、強いられるものではなく、そして柔軟性を持った
ものとして設計された。 ベル研究所でこれらツールへの関心が高まり、1971
年にはとても盛んになった。その年には、 Thompson と Ritchie が現在われ
われがオフィスオートメーションシステム(文書処理システム)と呼んでいるも
のを、研究室内部で使うために作る予算を獲得した。しかしThompson と 
Ritchie の目標はもっと大きなところにあった。

  従来、オペレーティングシステムは、ホストマシンから可能な限り最高の能
力を完全に引き出すためにきっちりしたアセンブラで書かれていた。Thompson 
と Ritchie はハードウェアとコンパイラ技術は十分によくなったことを最初
に認めた。つまり、完全なオペレーティングシステムは C で書くことができ、 
1974 年には 完全な環境が違った形式の複数のマシンにうまく設置された。

  このようなことはそれ以前には決して行われなかったことで、含蓄深いもの
であった。もし UNIX が多くの違った形式のマシン上で同じ状態で同じ能力で
存在することができるなら、それらのすべてに対して共通のソフトウェア環境
を提供できるわけである。ユーザはマシンが時代遅れになってしまうたびに、
ソフトウェアの完全な新しい設計に注意を払わなくてもよくなるのだ。ハッ
カーたちは、いつも火と車輪をその都度再発明をするよりも、違ったマシンの
間でソフトウェアツールキットを使いまわすことができるのである。

  移植性のこと以外にも、UNIX と C は別の重要な長所を持っていた。両者は 
"Keep It Simple, Stupid シンプルなままにしておけよ、このマヌケ" 
(<ref id="keepit" name="9">) という
考えで設計された。プログラマは C 言語の論理的な構造を簡単に暗記してお
くことができた。これは C 以前や以降の他の言語では不可能なことで、この
ような言語を使う場合、たえずマニュアルを参照する必要があった。また 
UNIX 自体も単純なプログラムからなる柔軟なツールキットとしての構造を持っ
ていた。各々のプログラムは、お互いに便利に組み合わせることができるよう
に設計されていた。

  その組合せは、非常に広い範囲のコンピュータ業務に利用できることがわか
り、設計者には予想できないような利用もされた。正式なサポートプログラム
を欠いていたにもかかわらず、UNIX と C は AT&amp;T 内で急速に普及した。1980
年には、多くの大学や研究所のコンピュータ部門に普及し、そして何千人もの
ハッカーたちが UNIX を自分のホームグラウンドと考えるようになった。

  初期の UNIX 文化で役立ったマシンは PDP-11 とその系列にある VAX であっ
た。しかし、 UNIX は高い移植性を持っていたので、すべての ARPANET につ
ながっているマシンならどんなものでも、基本的な変更をしなくても動いた。
そして、アセンブラを使う者はなくなり、C プログラムはこれらのマシンにす
でに移植可能であった。

  UNIX には専用のネットワーク機能さえあった。UUCP のような簡単なものだっ
たが。低速で信頼性は低くかったが安価であった。２台の UNIX マシンがどの
ようなものでも通常の電話回線によって ２点間 (point-to-point) で電子メー
ルを交換できた。この機能はオプションとしてではなく、システムのなかに組
み入れられた。UNIX サイトは自分たちのネットワークグループを作り、そこ
でハッカー文化はネットワークとともに動き出した。1980 年になると、最初
の USENET サイト間で、広範囲のニュース交換が始まった。それは巨大な電子
掲示板となり、APANET よりも急速に大きく成長することになる。

  ARPANET の上にもいくつかの UNIX サイトがあった。周辺部では PDP-10 と 
UNIX 文化が出会い、混ざり合いをはじめていたが、それらは最初のうちは十
分な交流はなかった。PDP-10 のハッカーたちはバロックの香りがただようよ
うな LISP や ITS の愛すべき複雑さに比べると、 UNIX はばかばかしいほど
原始的に見えたツールを使う成り上がり者の群れだとみなしていた。``石のナ
イフと熊の毛皮 Stone knives and bearskins!' (<ref id="stone" name="10">) 
と彼らはつぶやいた。

  しかし第３の流れ (<ref id="third" name="11">) はまだなかった。
1975年 にはじめて個人用コンピュータ
が売られた。Apple は 1977年に基礎を固め、その年から信じられない速度で
前進した。小型コンピュータの可能性が明らかになり、もうひとつ別の有望な
若いハッカーたちをまだひきつけていなかった。&lt;em&gt;彼ら&lt;/em&gt;の言語は 
BASIC であり、あまりに原始的だったので、PDP-10 党と UNIX ファンの両方
ともがそれを軽蔑するにも足らないものだと考えた。
 
<footnote><label id="new-jersey"><!--7-->
(訳注)New Jersey：
ベル研はニュージャージ州マレイヒルにある。New Jersey＝ベル研でもあり、
スタンフォード大学やシリコンバレーでは設計がまずいの意味でも使われた。
</footnote>

<footnote><label id="multics"><!--8-->
(訳注)Multics に関して、原文では when Multics displayed signs of
bloating into an unusable white elephant と記述されている。
 white elephant は無用の長物。まずい設計のために著しく大食らいで、
動いても維持が大変になる。
</footnote>

<footnote><label id="keepit"><!--9-->
(訳注)``Keep It Simple, Stupid''：
"シンプルなままにしておけよ、このマヌケ"はスヌーピーの "PEANUTS"からの
引用。わざわざ複雑にする必要はないという意味で使われている。
</footnote>

<footnote><label id="stone"><!--10-->
(訳注)Stone knives and bearskins!：
Star Trek Classic のThe City on the Edge of Forever から。
物事を設計する上で優れているとされる方法から見ると、グロテスクなほど原
始的と言えるコンピュータ環境を表す(ととにも批判する)のに伝統的に使われ
ている用語。(ハッカーズ大辞典、444頁)。
</footnote>

<footnote><label id="third"><!--11-->
(訳注)「第３の流れ」(a third current)
first が ARPANET/PDP-10、second が UNIX/C、third が PC。
第３の流れとしてパーソナルコンピュータ登場した。
</footnote>


<!--######################### section 4 ############################-->

<sect>古き日のたそがれ
<p>

  結局、1980 年頃には、３つの文化が存在し、それぞれはその周辺の部分で
重なりあっていたが、非常に違ったテクノロジーによってまとめられた。
ARPANET と PDP-10 文化は LISP 、MACRO、 TOPS-10 そして ITS によってま
とめられ、UNIX と C は PDP-11s と VAXen と貧弱な電話回線によって結びつ
けられた。そして、初期の熱狂的なマイクロコンピュータファンたちのアナー
キーな群れは、コンピュータの能力を一般の人々に向けて解放した。

  これらのなかでも ITS 文化はまだ地位を主張することができた。しかし、
崩壊の前兆が実験室に押し寄せていた。ITS が依存していた PDP-10 の技術は
もう古くなっており、実験室それ自体が AI 技術を商用化する初期の試みによっ
て分裂していた。研究室(SAIL'と CMU のラボも含めて)の優秀な人材のなかに
は、名会社発足時に高給な仕事に引き抜かれたものもいた。

  死の風は、1983 年に吹いた。その年、DEC はPDP-10 の後継機種の開発を停
止し、PDP-11 と VAX シリーズに専念することを決定した。ITS にもはや未来
はなかった。なぜならそれは移植性がなく、新しいハードウェアに移植するに
は、誰にも提供できないほど莫大な労力が必要だった。VAX 上で動いていた 
Berkeley 版 UNIX が最高のハッキングシステムの地位を獲得した。小型コン
ピュータが急速に性能を向上させたので、以前のものはすべて一掃されてしま
うなどと誰が予見できただろうか。

  Levy が Hackers を書いたのはこの年である。彼の最初の情報提供者のひと
りは Richard M. Stallman (EMACS の発明者)だった。Stallman は実験室の技
術の商用化に反対して、最も強い抵抗をしていた。

  Stallman (RMS という彼のかしら文字とログインネームで有名な人)は、
Free Software Foundation を作り、質のよいフリーソフトウェアを作成する
のに専念した。Levy は RMS を'最後の真のハッカー' (<ref id="last" 
name="12">) だと讃えたが、幸運にもそれは間違いだった。


  Stallman のもっとも雄大な計画は 80 年代初期にハッカーの国が経験した
変化の典型だった。1982 年、彼は C で書かれフリーで入手できる UNIX の完
全なクローンの構築をはじめた。このように ITS の精神と伝統は、新しいも
の、つまり、UNIX と VAX を中心とするハッカー文化の重要な部分であった。

  マイクロチップとローカルなネットワーク技術がまたハッカーの国に大きな
衝撃を与えはじめていた時代であった。イーサネットEthernet とモトローラ
Motorola 68000 マイクロチップは強力な潜在的をもつ組み合わせとなった。
そして、それぞれ違った場所で、現在我々がワークステーションと呼ぶものの
第一世代を作る動きが始まった。

  1982 年、バークレー出身の UNIX ハッカーたちのグループが Sun
Microsystems を築いた。彼らは UNIX と 68000 ベースの比較的安価なハード
ウェアのコンビが、広汎なアプリケーションにおいて成功を収めるだろうとい
う信念を持っていた。彼らは正しかった。そして彼らの先見の明は産業全体に
対して見本になった。個人のほとんどはまだ手が出せなかったが、ワークステー
ションは会社や大学にとって安価なものだった。それらのいくつものネットワー
ク(ユーザにとってはひとつだが)は古い VAX やその他のタイムシェアリング
システムを急速に置きかえた。

<footnote><label id="last"><!--12-->
(訳注)``the last true hacker''：
Steven Levy 「ハッカーズ」(工学社)から引用された言葉。
</footnote>

<!--#################### section 5 ##############################-->


<sect>独占 Unix の時代
<p>
  1984 年に、UNIX が AT&amp;T によって奪い取られ、 初めて商品になった頃に
は、ハッカーの国における最も重要な断層は、ネットワーク種族とマイクロコ
ンピュータファンとの間にあった。その断層は、すなわち、Internet と 
USENET (ほとんどが UNIX が稼働しているミニコンピュータかあるいはワーク
ステーションクラスのマシンを使用している)の周辺に集まっていた比較的結
合力のある 'ネットワーク種族" と、ネットワーク化されていないマイクロコ
ンピュータファンが住む巨大な未開拓地との間にあった。

  Sun とその他によって構築されたワークステーション級のマシンはハッカー
たちに新しい世界を開いた。それらは高機能のグラフィックス処理を行うよう
に構築され、ネットワーク上で共有のデータを回覧した。1980年代中ハッカー
の国はソフトウェアとこのような仕様を使いこなせるツールを作り上げるいく
つもの挑戦に夢中になった。バークレー UNIX は ARPANET プロトコルに関す
る内部サポートを開発し、ネットワークキングの問題を解決した。そして、イ
ンターネットのさらなる成長を促すこととなった。

  ワークステーショングラフィック機能を管理する方法としていくつかの試み
があった。優勢になったもののひとつが X Window システムだった。その成功
の重要な要因は、X の開発者たちがハッカーたちの倫理に従って進んでソース
をフリーで供与しようとしたこと、そしてインターネット上でそれらを配布で
きたことだった。独占のグラフィックシステム( ひとつは Sun それ自身によっ
て提供されたものを含んでいたが)の上での X の勝利は、UNIX 自身に大きな
影響を及ぼし、それからの数年の変化の重要なまえぶれであった。

  ITS と UNIX の間には、どきまだわずかに党派的な対立が存在した (元 ITS 
のユーザ側からのものが大部分だったが)。しかし、最後の ITS マシンは 
1990 年に製造を停止した。熱狂者たちも、もはや居場所がなくなり、いろい
ろな文句もあったがほとんど UNIX 文化に同化した。

  ネットワーク化されたハッカーの国の内部でも、1980 年代、バークレー UNIX 
と AT&amp;T 版のファンの間で大きな抗争があった。あなたがたは今でも時おり映
画スターウォーズの次のようなポスターを目にすることができる。AT&amp;T のロ
ゴを型どった爆発する Death Star から飛び出す X ウィングの戦士が描かれ
たポスターであるが。バークレーのハッカーたちは魂のこもっていない企業
帝国に反対して、反逆者として自分自身を見ることを好んだ。AT&amp;T UNIX は市
場で BSD や Sun に決して追いつくことはなかったが、標準化戦争に勝利した。
1990 年 AT&amp;T と BSD 版は多くの面で互いの新しい技術を採用しており、互い
を区別するのはより難しくなった。

  1990 年代が始まると、80年代のワークステーション技術は新たに登場した
者によって脅かされ始めていた。Intel 386 チップとその系統を受け継いで基
礎づけられたより新しい、低価格、高性能の個人用コンピュータの登場である。
ひとりひとりのハッカーたちがはじめて、初期の頃の 10 年前のミニコンピュー
タパワーに匹敵する保存能力を同程度に持つホームマシンを持つことができる
ようになったのである。UNIX が動き、十分な開発環境とインターネット接続
を提供してくれるマシンである。

  MS-DOS の世界はこのようなことにすべての無知のままだった。初期のマイ
クロコンピュータのファンは 'ネットワーク'文化の重要さよりももっと大き
な重大事のために DOS と Mac ハッカーの人口を早急に増やしたが、彼らは決
して自分で目覚める文化を作らなかった。変化の速度は大変に速かったので、
多くの違った技術文化が育ち、そして陽炎のように急激に消えていき、専門用
語や種族的な伝統、そして神話の歴史の共通の伝統を発達する確固たる必需品
を作りあげることはなかった。さらにまた彼らはローカルな BBS (local
bulletin boards)や FIDONET のような結果的にはうまくいかなかったいくつ
かの試みは別として、ネットワークを持たなかった。

  CompuServe や GEnie のような商用のオンラインサービスへの広範囲なアク
セスが定着し始めていたが、非 UNIX系 のオペレーティングシステムは開発ツー
ルには含まれて来なかった。非 UNIX の OS はほとんど無視されてしまった。
そのために、共同作業的なハッキングの伝統が発展しなかった。

  ハッカーの国の主流は商用サービスに関心がなかった。ハッカーの国という
のは、インターネットの周辺で組織化(あるいは非組織)され、そして UNIX の
技術的文化と同一だと見なされた彼らはよりよいツールを欲しがり、インター
ネットをもっと利用することを望み、そして、誰にも手が届もので、しかもそ
の両方を備えるのを約束された安価な 32-bit PC を望んだ。

  だが、ソフトウェアはどこにあったのか。商用の UNIX 類は 数千ドルもし
てあいかわらず高価だった。1990 年代のはじめには、いくつかの会社は PC 
級のマシンに対して AT&amp;T や BSD UNIX を販売するようになった。 これは成
功とは言えなかったし、価格は安くならなかった。そして(何よりも悪いこと
には)ユーザのオペレーティングシステムで改造可能で再配布可能なものを得
ることができなかった。これまでのソフトウェアビジネスのやりかたでは、ハッ
カーが望んだものを与えることができなかった。

  フリーソフトウェア財団もなかった。ハッカーへの RMS (<ref id="rms" 
name="13">) (Richard
M.Stallman)の久しく約束されていたフリーの UNIX カーネルである HURD は
1996 年( FSF は UNIX 系オペレーティングシステムのその他の困難な部分す
べてを1990 年には提供していたが)まで計画を実現できなかった。

<footnote><label id="rms"><!--13-->
(訳注)RMS： Richard M.Stallman の略記。彼はほとんど本名は使わない。
</footnote>


<!--##################### section 6 #############################-->


<sect>初期のフリー Unix 
<p>
  このすき間にヘルシンキ大学の学生 Linus Torvalds が割り込んだ。1992 
年、彼はフリーソフトウェア財団のツールキットを使って、386マシン用にフ
リー UNIX の開発を始めた。彼の最初の、迅速な成功は Linux を開発するた
めに彼を援助する多くのインターネットハッカーを引き付けた。 Linux は、
完全にフリーで再配布可能なソースで装備した UNIX である。

  しかしながら、Linux の最も重要な特色は 技術的なものではなく、社会学
的なものであった。Linux が開発されるまで、オペレーティングシステムのよ
うな複雑なシステムは、できるだけ小さいグループで、しかも厳選して集めら
れた人たちによって、慎重に組織化された方法で開発されなければならないと
信じられていた。このモデルは、現在でも、商用のソフトや 1980 年代に開発
された FSF(Free Software Foundation) の偉大なソフトウェアに典型的なも
のであった。

  Linux は完全に違った方法で成長した。ほとんど最初からインターネットを
通じてだけ共同で動くことができる数多くのボランティアによってむしろ気軽
に取り組まれた。厳格な基準や独裁的な基準によって質が維持されたのではな
く、毎週リリースされる素朴でシンプルな方法によってであった。そして数日
のうちに数百のユーザからフィードバックを受けることで維持された。誰にとっ
ても驚きであったが、これで非常にうまくいったのである。

  1993 年の終わりまでに、 Linux は安定性と信頼性において多くの商用 
UNIX と肩を並べるようになり、非常に多くのソフトウェアが Linux で動作す
るようになた。このような発展の間接的な効果のひとつは、小さな商用 UNIX 
の販売元のほとんどを潰してしまうことだった。開発者やハッカーに売れなかっ
たので、彼らは倒産した。BSD をもとにした UNIX に十分なソースを提供し、
ハッカーの共同体と密接な結び付きを得ることで生き残ったものもあった。

  ハッカーの国は、何度も消滅すると予言されてもなおかつ反抗して、自分た
ちのイメージにあう商用ソフトウェアの世界を作り直し始めていた。


<!--###################### section 7 #############################-->

<sect>Web の大爆発
<p>
  Linux の成長は他の現象も引き起こした。すなわち、インターネットの一般
性の発見である。1990 年の始めには、月に数ドルで一般に接続を売るインター
ネットプロバイダ産業が盛んになり始めていた。WWW(World-Wide Web) の発明
以降、すでに急速に成長していたインターネット成長は、さらに異常なペース
で加速した。

  1994 年には、 バークレーの UNIX 開発グループは正式に終了した年には、
いくつかの異なった版のフリーな UNIX ( Linux と4.4BSD あたりをもとにし
たものいくつかの)がハッキング活動の重要な焦点となり、一般に提供された。
Linux はCD-ROM で商用的に配布され、とてもよく売れていた。1995 年の終わ
りには主要なコンピュータ会社は派手な広告で、自社のソフトウェアやハード
ウェアとインターネットとの相性が良いかを示すようになった。

  1990 年代の終わりには、ハッカーの国の中心的な活動は Linux の開発とイ
ンターネットの拡大であった。WWW はついにインターネットをマスメディアに
し、1980 年代の多くのハッカーたちと1990年代初期のハッカーたちは、今で
は、大衆にサービスを提供するインターネットサービスプロバイダを運用して
いる。

  インターネットが拡大してくると、ハッカーの文化は尊敬されはじめ、政
治的影響力さえ持つようにさえなった。1994年と 1995年、ハッカーの行動主
義は政府のコントロールのもとに 暗号処理化を強化するという Clipper 法案 
(<ref id="clipper" name="14">) を打ち壊した。
1996年、ハッカーたちは "Communications Decency Act" を打
ち破るために広範囲の集まりを結集し、インターネットの検閲を防止している。



  いまや文化全体は、インターネットとコンピュータ技術が２１世紀の社会を
決定的に方向づけるだろうと認めている。民俗と伝統と態度がすべてのハッカー
の文化の価値観はインターネット技術とともに現代の子供たちへの文化的遺産
の一部になっているのである。ハッカーにとって未来は明るい。



Eric S. Raymond 
esr@thyrsus.com

<footnote><label id="clipper"><!--14-->
(訳注)Clipper(Clipper Chips)： 
アメリカ合衆国政府が利用を法制化しようとした暗号処理案
</footnote>

<!--##################### section 8 #################################-->

<sect>日本語訳について
<p>
<verb>
日本語訳についての問い合わせは 
jeanne@mbox.kyoto-inet.or.jp
</verb>

日本語訳は Linux-JF プロジェクトの次の方々から
多くのご助言を頂きました。

<verb>
Hiro Sugawara さん hiro@arkusa.com
堀江さん  shorie@ibm.net
水原さん  mizuhara@st.rim.or.jp
森本さん  morimoto@marib.imagica.co.jp
桑村さん  juk@rccm.co.jp
中野さん  nakano@apm.seikei.ac.jp
小島さん  kojima@criepi.denken.or.jp
</verb>

<verb>
訳：中谷千絵 jeanne@mbox.kyoto-inet.or.jp
1997/10/27
</verb>

(sgml conversion: y.senda, ysenda@pop01.odn.ne.jp, 2001/10/06)

</article>
